import {
  createPageContext,
  createSearchContext,
  createTableSearchContext,
} from '@hooks';
import {GetReceiveOrderListParams, OriginalListParams} from '@models';

export const pageContext = createPageContext();
export const searchContext = createSearchContext();

export const contextState: OriginalListParams<GetReceiveOrderListParams> & {
  type: '1' | '2';
} = {
  startTime: '',
  endTime: '',
  orderCode: '',
  type: '1' as '1' | '2',
  materialName: '',
  supplierId: '',
  wllbCode: '',
};
export const context = createTableSearchContext(contextState);
